Bug 1811358 - CPackRPM:Debug: *** error: Unknown tag: Suggests:
Summary: CPackRPM:Debug: *** error: Unknown tag: Suggests:
Keywords:
Status: NEW
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: cmake3
Version: epel7
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Björn 'besser82' Esser
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-03-07 23:58 UTC by Eugene Kanter
Modified: 2020-05-31 16:50 UTC (History)
2 users (show)

Fixed In Version: cmake3-3.17.1-2.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-13 06:37:45 UTC
Type: Bug


Attachments (Terms of Use)

Description Eugene Kanter 2020-03-07 23:58:00 UTC
Description of problem:

cmake3-3.14.6-2.el7 is unable to parse CPACK_RPM_PACKAGE_SUGGESTS tag,
while current Fedora 31 cmake-3.16.4-1.fc31 parses correctly.

Please update.

Comment 1 Antonio T. (sagitter) 2020-03-08 11:09:47 UTC
@Björn

`CPACK_RPM_PACKAGE_SUGGESTS` variable is already in CMake-3.14. Or am i wrong?

https://cmake.org/cmake/help/v3.14/cpack_gen/rpm.html#cpack_gen:CPack%20RPM%20Generator

Comment 2 Eugene Kanter 2020-03-08 14:46:00 UTC
The variable is present, rpm spec file is properly generated, however epel provided 3.14 fails while the same code on fedora 31 3.16 does not. Could the error be related to RPM version?...

Comment 3 Antonio T. (sagitter) 2020-03-08 15:50:13 UTC
> Could the error be related to RPM version?

Please, check the output of these commands where the variable does not work.

$ rpm --version --querytags
$ rpm --querytags | grep -i "suppl\|enhanc\|recom\|sugg"

Comment 4 Eugene Kanter 2020-03-09 03:51:39 UTC
This is RHEL7, rpm output look good to me.
$ rpm --querytags | grep -i "suppl\|enhanc\|recom\|sugg"
ENHANCEFLAGS
ENHANCENAME
ENHANCES
ENHANCEVERSION
RECOMMENDFLAGS
RECOMMENDNAME
RECOMMENDS
RECOMMENDVERSION
SUGGESTFLAGS
SUGGESTNAME
SUGGESTS
SUGGESTVERSION
SUPPLEMENTFLAGS
SUPPLEMENTNAME
SUPPLEMENTS
SUPPLEMENTVERSION

Comment 5 Eugene Kanter 2020-04-23 20:00:47 UTC
any plans to update epel cmake3 to match latest Fedora?

Comment 6 Antonio T. (sagitter) 2020-04-23 20:11:46 UTC
The related patch needs many work and time.
This weekend, maybe.

Comment 7 Fedora Update System 2020-04-26 21:44:22 UTC
FEDORA-EPEL-2020-b6a455afdf has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-b6a455afdf

Comment 8 Fedora Update System 2020-04-27 06:13:54 UTC
FEDORA-EPEL-2020-b6a455afdf has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-b6a455afdf

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2020-04-27 21:35:48 UTC
FEDORA-EPEL-2020-b6a455afdf has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-b6a455afdf

Comment 10 Fedora Update System 2020-04-28 04:47:30 UTC
FEDORA-EPEL-2020-b6a455afdf has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-b6a455afdf

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2020-05-13 06:37:45 UTC
FEDORA-EPEL-2020-b6a455afdf has been pushed to the Fedora EPEL 7 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 12 Eugene Kanter 2020-05-31 16:50:46 UTC
I see updated cmake3-3.17 package but the same error still present:

CPack3: Create package
CPackRPM: Will use GENERATED spec file: /builddir/project/build/_CPack_Packages/Linux/RPM/SPECS/project.spec
CPackRPM:Debug: You may consult rpmbuild logs in: 
CPackRPM:Debug:    - /builddir/project/build/_CPack_Packages/Linux/RPM/rpmbuildproject.err
CPackRPM:Debug: *** error: line 24: Unknown tag: Suggests: xterm


<mock-chroot> sh-4.2# cmake3 -version
cmake3 version 3.17.2

CMake suite maintained and supported by Kitware (kitware.com/cmake).


Note You need to log in before you can comment on or make changes to this bug.